"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationStyle = exports.IndoorPushMessageType = exports.IndoorPushEvent = exports.LockPushEvent = exports.DoorbellPushEvent = exports.ServerPushEvent = exports.CusPushMode = exports.CusPushAlarmType = exports.CusPushEvent = void 0;
var CusPushEvent;
(function (CusPushEvent) {
    CusPushEvent[CusPushEvent["SECURITY"] = 1] = "SECURITY";
    CusPushEvent[CusPushEvent["TFCARD"] = 2] = "TFCARD";
    CusPushEvent[CusPushEvent["DOOR_SENSOR"] = 3] = "DOOR_SENSOR";
    CusPushEvent[CusPushEvent["CAM_STATE"] = 4] = "CAM_STATE";
    CusPushEvent[CusPushEvent["GSENSOR"] = 5] = "GSENSOR";
    CusPushEvent[CusPushEvent["BATTERY_LOW"] = 6] = "BATTERY_LOW";
    CusPushEvent[CusPushEvent["BATTERY_HOT"] = 7] = "BATTERY_HOT";
    CusPushEvent[CusPushEvent["LIGHT_STATE"] = 8] = "LIGHT_STATE";
    CusPushEvent[CusPushEvent["MODE_SWITCH"] = 9] = "MODE_SWITCH";
    CusPushEvent[CusPushEvent["ALARM"] = 10] = "ALARM";
    CusPushEvent[CusPushEvent["BATTERY_FULL"] = 11] = "BATTERY_FULL";
    CusPushEvent[CusPushEvent["REPEATER_RSSI_WEAK"] = 12] = "REPEATER_RSSI_WEAK";
    CusPushEvent[CusPushEvent["UPGRADE_STATUS"] = 13] = "UPGRADE_STATUS";
    CusPushEvent[CusPushEvent["MOTION_SENSOR_PIR"] = 14] = "MOTION_SENSOR_PIR";
    CusPushEvent[CusPushEvent["ALARM_DELAY"] = 16] = "ALARM_DELAY";
    CusPushEvent[CusPushEvent["HUB_BATT_POWERED"] = 17] = "HUB_BATT_POWERED";
    CusPushEvent[CusPushEvent["SENSOR_NO_OPEN"] = 18] = "SENSOR_NO_OPEN";
})(CusPushEvent = exports.CusPushEvent || (exports.CusPushEvent = {}));
var CusPushAlarmType;
(function (CusPushAlarmType) {
    CusPushAlarmType[CusPushAlarmType["HUB_STOP"] = 0] = "HUB_STOP";
    CusPushAlarmType[CusPushAlarmType["DEV_STOP"] = 1] = "DEV_STOP";
    CusPushAlarmType[CusPushAlarmType["GSENSOR"] = 2] = "GSENSOR";
    CusPushAlarmType[CusPushAlarmType["PIR"] = 3] = "PIR";
    CusPushAlarmType[CusPushAlarmType["APP"] = 4] = "APP";
    CusPushAlarmType[CusPushAlarmType["HOT"] = 5] = "HOT";
    CusPushAlarmType[CusPushAlarmType["DOOR"] = 6] = "DOOR";
    CusPushAlarmType[CusPushAlarmType["CAMERA"] = 7] = "CAMERA";
    CusPushAlarmType[CusPushAlarmType["MOTION_SENSOR"] = 8] = "MOTION_SENSOR";
    CusPushAlarmType[CusPushAlarmType["CAMERA_GSENSOR"] = 9] = "CAMERA_GSENSOR";
    CusPushAlarmType[CusPushAlarmType["CAMERA_APP"] = 10] = "CAMERA_APP";
    CusPushAlarmType[CusPushAlarmType["CAMERA_LINKAGE"] = 11] = "CAMERA_LINKAGE";
    CusPushAlarmType[CusPushAlarmType["HUB_LINKAGE"] = 12] = "HUB_LINKAGE";
    CusPushAlarmType[CusPushAlarmType["HUB_KEYPAD_PANIC_BUTTON"] = 13] = "HUB_KEYPAD_PANIC_BUTTON";
    CusPushAlarmType[CusPushAlarmType["HUB_KEYPAD_EMERGENCY_CODE"] = 14] = "HUB_KEYPAD_EMERGENCY_CODE";
    CusPushAlarmType[CusPushAlarmType["HUB_STOP_BY_KEYPAD"] = 15] = "HUB_STOP_BY_KEYPAD";
    CusPushAlarmType[CusPushAlarmType["HUB_STOP_BY_APP"] = 16] = "HUB_STOP_BY_APP";
    CusPushAlarmType[CusPushAlarmType["HUB_STOP_BY_HUB"] = 17] = "HUB_STOP_BY_HUB";
    CusPushAlarmType[CusPushAlarmType["HUB_KEYPAD_CUSTOM_NOT_MAP"] = 18] = "HUB_KEYPAD_CUSTOM_NOT_MAP";
})(CusPushAlarmType = exports.CusPushAlarmType || (exports.CusPushAlarmType = {}));
var CusPushMode;
(function (CusPushMode) {
    CusPushMode[CusPushMode["SWITCH_FROM_KEYPAD"] = 1] = "SWITCH_FROM_KEYPAD";
    CusPushMode[CusPushMode["SWITCH_FROM_APP"] = 2] = "SWITCH_FROM_APP";
    CusPushMode[CusPushMode["SWITCH"] = 9] = "SWITCH";
})(CusPushMode = exports.CusPushMode || (exports.CusPushMode = {}));
var ServerPushEvent;
(function (ServerPushEvent) {
    ServerPushEvent[ServerPushEvent["INVITE_DEVICE"] = 10300] = "INVITE_DEVICE";
    ServerPushEvent[ServerPushEvent["REMOVE_DEVICE"] = 10200] = "REMOVE_DEVICE";
    ServerPushEvent[ServerPushEvent["REMOVE_HOMEBASE"] = 10100] = "REMOVE_HOMEBASE";
    ServerPushEvent[ServerPushEvent["VERIFICATION"] = 10500] = "VERIFICATION";
    ServerPushEvent[ServerPushEvent["WEB_ACTION"] = 10800] = "WEB_ACTION";
    ServerPushEvent[ServerPushEvent["ALARM_NOTIFY"] = 10900] = "ALARM_NOTIFY";
    ServerPushEvent[ServerPushEvent["ALARM_GUEST_NOTIFY"] = 11000] = "ALARM_GUEST_NOTIFY";
})(ServerPushEvent = exports.ServerPushEvent || (exports.ServerPushEvent = {}));
var DoorbellPushEvent;
(function (DoorbellPushEvent) {
    DoorbellPushEvent[DoorbellPushEvent["BACKGROUND_ACTIVE"] = 3100] = "BACKGROUND_ACTIVE";
    DoorbellPushEvent[DoorbellPushEvent["MOTION_DETECTION"] = 3101] = "MOTION_DETECTION";
    DoorbellPushEvent[DoorbellPushEvent["FACE_DETECTION"] = 3102] = "FACE_DETECTION";
    DoorbellPushEvent[DoorbellPushEvent["PRESS_DOORBELL"] = 3103] = "PRESS_DOORBELL";
    DoorbellPushEvent[DoorbellPushEvent["OFFLINE"] = 3106] = "OFFLINE";
    DoorbellPushEvent[DoorbellPushEvent["ONLINE"] = 3107] = "ONLINE";
})(DoorbellPushEvent = exports.DoorbellPushEvent || (exports.DoorbellPushEvent = {}));
var LockPushEvent;
(function (LockPushEvent) {
    LockPushEvent[LockPushEvent["APP_LOCK"] = 264] = "APP_LOCK";
    LockPushEvent[LockPushEvent["APP_UNLOCK"] = 261] = "APP_UNLOCK";
    LockPushEvent[LockPushEvent["AUTO_LOCK"] = 265] = "AUTO_LOCK";
    LockPushEvent[LockPushEvent["AUTO_UNLOCK"] = 258] = "AUTO_UNLOCK";
    LockPushEvent[LockPushEvent["FINGER_UNLOCK"] = 260] = "FINGER_UNLOCK";
    LockPushEvent[LockPushEvent["FINGER_LOCK"] = 267] = "FINGER_LOCK";
    LockPushEvent[LockPushEvent["KEYPAD_LOCK"] = 263] = "KEYPAD_LOCK";
    LockPushEvent[LockPushEvent["LOCK_MECHANICAL_ANOMALY"] = 519] = "LOCK_MECHANICAL_ANOMALY";
    LockPushEvent[LockPushEvent["LOCK_OFFLINE"] = 516] = "LOCK_OFFLINE";
    LockPushEvent[LockPushEvent["LOW_POWE"] = 513] = "LOW_POWE";
    LockPushEvent[LockPushEvent["MANUAL_LOCK"] = 262] = "MANUAL_LOCK";
    LockPushEvent[LockPushEvent["MANUAL_UNLOCK"] = 257] = "MANUAL_UNLOCK";
    LockPushEvent[LockPushEvent["MECHANICAL_ANOMALY"] = 517] = "MECHANICAL_ANOMALY";
    LockPushEvent[LockPushEvent["MULTIPLE_ERRORS"] = 515] = "MULTIPLE_ERRORS";
    LockPushEvent[LockPushEvent["PW_LOCK"] = 266] = "PW_LOCK";
    LockPushEvent[LockPushEvent["PW_UNLOCK"] = 259] = "PW_UNLOCK";
    LockPushEvent[LockPushEvent["VERY_LOW_POWE"] = 514] = "VERY_LOW_POWE";
    LockPushEvent[LockPushEvent["VIOLENT_DESTRUCTION"] = 518] = "VIOLENT_DESTRUCTION";
})(LockPushEvent = exports.LockPushEvent || (exports.LockPushEvent = {}));
var IndoorPushEvent;
(function (IndoorPushEvent) {
    IndoorPushEvent[IndoorPushEvent["MOTION_DETECTION"] = 3101] = "MOTION_DETECTION";
    IndoorPushEvent[IndoorPushEvent["FACE_DETECTION"] = 3102] = "FACE_DETECTION";
    IndoorPushEvent[IndoorPushEvent["CRYING_DETECTION"] = 3104] = "CRYING_DETECTION";
    IndoorPushEvent[IndoorPushEvent["SOUND_DETECTION"] = 3105] = "SOUND_DETECTION";
    IndoorPushEvent[IndoorPushEvent["PET_DETECTION"] = 3106] = "PET_DETECTION";
})(IndoorPushEvent = exports.IndoorPushEvent || (exports.IndoorPushEvent = {}));
var IndoorPushMessageType;
(function (IndoorPushMessageType) {
    IndoorPushMessageType[IndoorPushMessageType["INDOOR"] = 18] = "INDOOR";
    IndoorPushMessageType[IndoorPushMessageType["TFCARD"] = 2] = "TFCARD";
})(IndoorPushMessageType = exports.IndoorPushMessageType || (exports.IndoorPushMessageType = {}));
var NotificationStyle;
(function (NotificationStyle) {
    NotificationStyle[NotificationStyle["TEXT"] = 1] = "TEXT";
    NotificationStyle[NotificationStyle["THUMB"] = 2] = "THUMB";
    NotificationStyle[NotificationStyle["ALL"] = 3] = "ALL";
})(NotificationStyle = exports.NotificationStyle || (exports.NotificationStyle = {}));
//# sourceMappingURL=types.js.map